core::PersistentStringCache::Data Struct Reference

Simple pair of value and metadata. More...

`#include <core/persistent_string_cache.h>`

## Public Attributes

std::string | value
| Stores the value of an entry. More...
std::string | metadata
| Stores the metadata of an entry. If no metadata exists for an entry, `metadata` is returned as the empty string when it is retrieved. More...

## Detailed Description

Simple pair of value and metadata.

## Member Data Documentation

## metadata

std::string core::PersistentStringCache::Data::metadata

Stores the metadata of an entry. If no metadata exists for an entry, `metadata` is returned as the empty string when it is retrieved.

## value

std::string core::PersistentStringCache::Data::value

Stores the value of an entry.

The documentation for this struct was generated from the following file:

- persistent_string_cache.h